name: Service Internal Traffic Policy
services:
  0f366b17-9fb1-4c49-954c-074c4a16e6d3:
    name: 0f366b17-9fb1-4c49-954c-074c4a16e6d3
    traits:
      meshmap:
        edges:
        - data:
            id: 38ad440e-4984-401c-92cd-cfb413047aeb
            metadata:
              port: 80
              protocol: TCP
            source: ab8d0e33-d463-42ff-973f-577f74f53308
            subType: Network
            target: 0f366b17-9fb1-4c49-954c-074c4a16e6d3
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: 0f366b17-9fb1-4c49-954c-074c4a16e6d3
        position:
          posX: 140
          posY: 90
        whiteboardData: {}
  AnchorNode:
    name: AnchorNode
    type: AnchorNode
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - 0f366b17-9fb1-4c49-954c-074c4a16e6d3
    traits:
      meshmap:
        edges: []
        id: 4100fd7d-df88-49cb-b4e4-205fc8237deb
        label: AnchorNode
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"none"}}}'
          defaultData: '{"label":""}'
          genealogy: ""
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: circle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            visibility: hidden
            width: 30px
            z-index: 4
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","visibility":"hidden"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 0f366b17-9fb1-4c49-954c-074c4a16e6d3
        position:
          posX: 170
          posY: 130
        whiteboardData: {}
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - 0f366b17-9fb1-4c49-954c-074c4a16e6d3
    traits:
      meshmap:
        edges: []
        id: e40719bb-7784-4065-926a-a141bb9a1df7
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            background-opacity: 0.1
            border-style: dashed
            border-width: 1
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 5
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 0f366b17-9fb1-4c49-954c-074c4a16e6d3
        position:
          posX: 110
          posY: 50
        whiteboardData: {}
  nginx-service:
    name: nginx-service
    type: Service
    apiVersion: v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        internal Traffic Policy: Local
        ports:
        - port: 80
          protocol: TCP
          target Port: 9376
        selector:
          app: nginx
    traits:
      meshmap:
        edges:
        - data:
            id: 38ad440e-4984-401c-92cd-cfb413047aeb
            metadata:
              port: 80
              protocol: TCP
            source: ab8d0e33-d463-42ff-973f-577f74f53308
            subType: Network
            target: 0f366b17-9fb1-4c49-954c-074c4a16e6d3
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: ab8d0e33-d463-42ff-973f-577f74f53308
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          shapePolygonPoints: ""
          styleOverrides:
            background-position-y: 4.5
            height: 20
            padding: 12
            width: 20
            x: 10px
            "y": 12px
            z-index: 3
          styles: '{"height":20,"width":20,"padding":12,"background-position-y":4.5,"x":"10px","y":"12px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/service-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/service-white.svg
        position:
          posX: 10
          posY: 70
        whiteboardData:
          style: {}
